## firefox-esr 52.2.0esr

=== debian/changelog ===
firefox-esr (52.2.0esr-1~deb7u1) wheezy-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * Backport to wheezy.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 14 Jun 2017 10:52:32 +0200

firefox-esr (52.2.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2017-16, also known as:
    CVE-2017-5472, CVE-2017-7749, CVE-2017-7750, CVE-2017-7751,
    CVE-2017-7752, CVE-2017-7754, CVE-2017-7756, CVE-2017-7757,
    CVE-2017-7778, CVE-2017-7758, CVE-2017-7764, CVE-2017-5470.

  * debian/rules, debian/control.in: Switch to GCC 4.8 on wheezy.
  * debian/rules: Don't remove debian/control on clean. Thanks to
    Emilio Pozuelo Monfort for those two changes for wheezy LTS support.
  * debian/control.in: Bump nss build dependency.
  * debian/control.in, debian/rules, debian/symbols.mk, debian/upstream.mk:
    Rename the BACKPORT variable to DIST, and set it to "stretch" for
    unstable/testing targetted builds.
  * debian/rules: Normalize the system libraries used depending on the Debian
    version.

 -- Mike Hommey <glandium@debian.org>  Wed, 14 Jun 2017 07:53:34 +0900

firefox-esr (52.1.0esr-1) experimental; urgency=medium

  * New upstream release.
  * Fixes for mfsa2017-12, also known as:
    CVE-2017-5433, CVE-2017-5435, CVE-2017-5436, CVE-2017-5459,
    CVE-2017-5466, CVE-2017-5434, CVE-2017-5432, CVE-2017-5460,
    CVE-2017-5438, CVE-2017-5439, CVE-2017-5440, CVE-2017-5441,
    CVE-2017-5442, CVE-2017-5464, CVE-2017-5443, CVE-2017-5444,
    CVE-2017-5446, CVE-2017-5447, CVE-2017-5465, CVE-2017-5448,
    CVE-2017-5454, CVE-2017-5455, CVE-2017-5456, CVE-2017-5469,
    CVE-2017-5445, CVE-2017-5449, CVE-2017-5451, CVE-2017-5462,
    CVE-2017-5467, CVE-2017-5430, CVE-2017-5429.

 -- Mike Hommey <glandium@debian.org>  Wed, 19 Apr 2017 13:28:11 +0900

firefox-esr (52.0.2esr-1) experimental; urgency=medium

  * New upstream release.
  * debian/browser.mozconfig.in, debian/mls.key: Enable geolocation using
    Mozilla's Location Service. Closes: #726230.

  * browser/app/profile/firefox.js: Use the Mozilla Location Service when
    the Google Key is not there.

 -- Mike Hommey <glandium@debian.org>  Sun, 02 Apr 2017 06:34:38 +0900

firefox-esr (52.0.1esr-1) experimental; urgency=medium

  * New upstream release.
  * Fix for mfsa2017-08, also known as CVE-2017-5428.

  * debian/browser.mozconfig.in: Build with --enable-alsa. Closes: #857281.

 -- Mike Hommey <glandium@debian.org>  Sat, 18 Mar 2017 08:27:13 +0900

firefox-esr (52.0esr-1) experimental; urgency=medium

  * New upstream release.
  * Fixes for mfsa2017-05, also known as:
    CVE-2017-5400, CVE-2017-5401, CVE-2017-5402, CVE-2017-5403,
    CVE-2017-5404, CVE-2017-5406, CVE-2017-5407, CVE-2017-5410,
    CVE-2017-5408, CVE-2017-5412, CVE-2017-5413, CVE-2017-5414,
    CVE-2017-5415, CVE-2017-5416, CVE-2017-5417, CVE-2017-5426,
    CVE-2017-5427, CVE-2017-5418, CVE-2017-5419, CVE-2017-5420,
    CVE-2017-5405, CVE-2017-5421, CVE-2017-5422, CVE-2017-5399,
    CVE-2017-5398.

  * debian/control*:
    - Bump nss and sqlite build dependencies.
    - Build depend on libjsoncpp-dev.
  * debian/rules:
    - Update ICU_DATA_FILE version.
    - Don't build against system sqlite until we have the right version in
      Debian.
  * debian/browser.lintian-overrides.in: Add a lintian override for NSPR and
    NSS.
  * debian/browser.install.in:
    - Install chrome.manifest, libmozsandbox.so and minidump-analyzer.
    - Remove browser/components.

  * browser/installer/allowed-dupes.mn,
    toolkit/mozapps/installer/find-dupes.py,
    toolkit/mozapps/installer/packager.mk: Preprocess find-dupes exception
    list. bz#1315309.
  * config/system-headers, toolkit/crashreporter/jsoncpp/src/lib_json/moz.build,
    toolkit/crashreporter/minidump-analyzer/moz.build: Build against system
    libjsoncpp.

 -- Mike Hommey <glandium@debian.org>  Thu, 09 Mar 2017 07:24:59 +0900

firefox (51.0.1-3) unstable; urgency=medium

  * js/src/jit/mips-shared/Assembler-mips-shared.h,
    js/src/jit/mips-shared/CodeGenerator-mips-shared.cpp,
    js/src/jit/mips-shared/CodeGenerator-mips-shared.h,
    js/src/jit/mips-shared/MacroAssembler-mips-shared-inl.h,
    js/src/jit/mips-shared/MacroAssembler-mips-shared.cpp,
    js/src/jit/mips-shared/MacroAssembler-mips-shared.h,
    js/src/jit/mips32/MacroAssembler-mips32-inl.h,
    js/src/jit/mips32/MacroAssembler-mips32.cpp,
    js/src/jit/mips32/MacroAssembler-mips32.h,
    js/src/jit/mips64/MacroAssembler-mips64-inl.h,
    js/src/jit/mips64/MacroAssembler-mips64.cpp,
    js/src/jit/mips64/MacroAssembler-mips64.h: Apply patch from
    bz#1303688 hopefully fixing the FTBFS on mips*.

 -- Mike Hommey <glandium@debian.org>  Thu, 23 Feb 2017 16:34:17 +0900

firefox (51.0.1-2) unstable; urgency=medium

  * debian/symbols.mk:
    - Better handle downloading symbols from packages with epochs.
    - Don't filter file names when getting symbols.
    - Add experimental buildd apt source for symbols download.
    - Avoid apt-get download being re-run when the file is already there.
    - Adjust DBGTYPE depending on package version, not whether it's a
      backport.
    - Only dump symbols for files of type application/x-sharedlib.
      This covers binary executables too because they are PIE and
      undistinguishable from shared libraries as a consequence.
  * debian/rules:
    - Add -fno-schedule-insns2 back. Closes: #854258.
    - Build with -fno-schedule-insns on armel and armhf when building with
      GCC6. Closes: #854640.
    - Hack to disable --gc-sections when building NSS, working around bug
      #844357 again. Should fix FTBFS on mips*.
  * debian/browser.desktop.in, debian/rules: Followup for the StartupWMClass
    changes in 51.0.1-1: Use the same name in desktop file and
    application.ini RemotingName. Closes: #854397.

 -- Mike Hommey <glandium@debian.org>  Sat, 18 Feb 2017 08:17:22 +0900

firefox (51.0.1-1) unstable; urgency=medium

  * New upstream release.


