## firefox-esr 52.3.0esr

=== debian/changelog ===
firefox-esr (52.3.0esr-1~deb7u1) wheezy-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * Backport to wheezy.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 10 Aug 2017 15:22:02 +0200

firefox-esr (52.3.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2017-19, also known as:
    CVE-2017-7798, CVE-2017-7800, CVE-2017-7801, CVE-2017-7784,
    CVE-2017-7802, CVE-2017-7785, CVE-2017-7786, CVE-2017-7753,
    CVE-2017-7787, CVE-2017-7807, CVE-2017-7792, CVE-2017-7791,
    CVE-2017-7803, CVE-2017-7779.

  * debian/upstream.mk: Set DIST differently for experimental.
  * debian/control*, debian/rules: Build with gcc 6 because display is broken
    with gcc 7.

  * FTBFS fixes:
    - js/src/jsmath.cpp: Define GETRANDOM_NR on more artitectures. bz#1352236,
      bz#1357874.
    - media/libyuv/source/row_mips.cc: Only use the perf opcode on mips arches
      that support it. bz#1012232.

 -- Mike Hommey <glandium@debian.org>  Wed, 09 Aug 2017 06:52:55 +0900

firefox-esr (52.2.0esr-2) unstable; urgency=medium

  * debian/upstream.mk:
    - Consider testing/unstable as buster, which implies build depending on
      system nspr, nss and sqlite again.
    - Support DEB_DISTRIBUTION being bustersomething or sid.
    Closes: #865650.

 -- Mike Hommey <glandium@debian.org>  Sat, 24 Jun 2017 00:23:03 +0900
