=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,10 @@
 ifeq ($(DIST),wheezy)
 CC := /usr/lib/gcc-mozilla/bin/gcc
 CXX := /usr/lib/gcc-mozilla/bin/g++
+endif
+ifeq (,$(filter-out $(DIST),buster experimental))
+CC := gcc-6
+CXX := g++-6
 endif
 
 OFFICIAL_BRANDING := browser/branding/official
@@ -219,4 +223,3 @@
 	} \
 	END { if (error) { exit 1 }}' debian/$($(PRODUCT)).mozconfig
 
-stamps/configure-$(PRODUCT):: stamps/prepare-configure debian/$($(PRODUCT)).mozconfig
