## firefox-esr 52.4.0esr

=== debian/changelog ===
firefox-esr (52.4.0esr-2~deb7u1) wheezy-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * Backport to wheezy.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 29 Sep 2017 19:25:36 +0200

firefox-esr (52.4.0esr-2) unstable; urgency=medium

  * debian/source/lintian-overrides: Add a lintian override for dotzlib.chm.

 -- Mike Hommey <glandium@debian.org>  Fri, 29 Sep 2017 10:09:41 +0900

firefox-esr (52.4.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2017-22, also known as:
    CVE-2017-7793, CVE-2017-7818, CVE-2017-7819, CVE-2017-7824,
    CVE-2017-7805, CVE-2017-7814, CVE-2017-7823, CVE-2017-7810.

  * js/src/jsmath.cpp: Add GETRANDOM_NR definition for powerpc and mips.
    bz#1389281.
  * media/libcubeb/tests/moz.build: Fixup workaround for binutil assertion on
    mips.

 -- Mike Hommey <glandium@debian.org>  Fri, 29 Sep 2017 06:02:52 +0900

firefox-esr (52.3.0esr-2) unstable; urgency=medium

  * debian/rules: Really build with gcc 6. Closes: #871583.

 -- Mike Hommey <glandium@debian.org>  Thu, 10 Aug 2017 05:41:09 +0900
