## firefox-esr 52.5.0esr

=== debian/changelog ===
firefox-esr (52.5.0esr-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2017-25, also known as:
    CVE-2017-7828, CVE-2017-7830, CVE-2017-7826.

  * debian/source/lintian-overrides: Add a lintian override for dotzlib.chm.
  * debian/import-tar.py: Make python 3.6 happy.

 -- Mike Hommey <glandium@debian.org>  Wed, 15 Nov 2017 07:19:57 +0900

firefox-esr (52.4.0esr-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2017-22, also known as:
    CVE-2017-7793, CVE-2017-7818, CVE-2017-7819, CVE-2017-7824,
    CVE-2017-7805, CVE-2017-7814, CVE-2017-7823, CVE-2017-7810.
  * debian/rules: Really build with gcc 6 on unstable. Closes: #871583.

  * js/src/jsmath.cpp: Add GETRANDOM_NR definition for powerpc and mips.
    bz#1389281.
  * media/libcubeb/tests/moz.build: Fixup workaround for binutil assertion on
    mips.

 -- Mike Hommey <glandium@debian.org>  Fri, 29 Sep 2017 06:02:52 +0900

firefox-esr (52.3.0esr-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2017-19, also known as:
    CVE-2017-7798, CVE-2017-7800, CVE-2017-7801, CVE-2017-7784,
    CVE-2017-7802, CVE-2017-7785, CVE-2017-7786, CVE-2017-7753,
    CVE-2017-7787, CVE-2017-7807, CVE-2017-7792, CVE-2017-7791,
    CVE-2017-7803, CVE-2017-7779.

  * debian/upstream.mk:
    - Consider testing/unstable as buster, which implies build depending on
      system nspr, nss and sqlite again.
    - Support DEB_DISTRIBUTION being bustersomething or sid.
    Closes: #865650.

  * debian/upstream.mk: Set DIST differently for experimental.
  * debian/control*, debian/rules: Build with gcc 6 because display is broken
    with gcc 7.

  * FTBFS fixes:
    - js/src/jsmath.cpp: Define GETRANDOM_NR on more artitectures. bz#1352236,
      bz#1357874.
    - media/libyuv/source/row_mips.cc: Only use the perf opcode on mips arches
      that support it. bz#1012232.

 -- Mike Hommey <glandium@debian.org>  Wed, 09 Aug 2017 06:52:55 +0900

firefox-esr (52.2.0esr-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2017-16, also known as:
    CVE-2017-5472, CVE-2017-7749, CVE-2017-7750, CVE-2017-7751,
    CVE-2017-7752, CVE-2017-7754, CVE-2017-7756, CVE-2017-7757,
    CVE-2017-7778, CVE-2017-7758, CVE-2017-7764, CVE-2017-5470.

  * debian/rules, debian/control.in: Switch to GCC 4.8 on wheezy.
  * debian/rules: Don't remove debian/control on clean. Thanks to
    Emilio Pozuelo Monfort for those two changes for wheezy LTS support.
  * debian/control.in: Bump nss build dependency.
  * debian/control.in, debian/rules, debian/symbols.mk, debian/upstream.mk:
    Rename the BACKPORT variable to DIST, and set it to "stretch" for
    unstable/testing targetted builds.
  * debian/rules: Normalize the system libraries used depending on the Debian
    version.

 -- Mike Hommey <glandium@debian.org>  Wed, 14 Jun 2017 07:53:34 +0900
