## firefox-esr 52.5.2esr

=== debian/changelog ===
firefox-esr (52.5.2esr-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2017-28, also known as CVE-2017-7843.

 -- Mike Hommey <glandium@debian.org>  Fri, 08 Dec 2017 20:41:27 +0900
