## firefox-esr 52.6.0esr

=== debian/changelog ===
firefox-esr (52.6.0esr-2+alpha.2) unreleased; urgency=medium

  * No source changes; rebuild against libvpx5.

 -- Michael Cree <mcree@orcon.net.nz>  Sat, 24 Feb 2018 19:43:27 +1300

firefox-esr (52.6.0esr-2+alpha.1) unreleased; urgency=medium

  * porting/support-alpha.patch to port to Alpha.
  * Disable --no-keep-memory link on Alpha as this is broken in
    binutils.
  * Optimize at -O1.

 -- Michael Cree <mcree@orcon.net.nz>  Wed, 14 Feb 2018 21:50:52 +1300

firefox-esr (52.6.0esr-2) unstable; urgency=medium

  * intl/icu/source/i18n/digitlst.cpp: Apply part of
    http://bugs.icu-project.org/trac/changeset/40603 to fix FTBFS with glibc
    2.26 on big endian platforms.

 -- Mike Hommey <glandium@debian.org>  Wed, 24 Jan 2018 17:48:36 +0900

firefox-esr (52.6.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-03, also known as
    CVE-2018-5091, CVE-2018-5095, CVE-2018-5096, CVE-2018-5097,
    CVE-2018-5098, CVE-2018-5099, CVE-2018-5102, CVE-2018-5103,
    CVE-2018-5104, CVE-2018-5117, CVE-2018-5089.
  * Fixes FTBFS with glibc >= 2.26. Closes: #887778.

 -- Mike Hommey <glandium@debian.org>  Wed, 24 Jan 2018 06:51:46 +0900

firefox-esr (52.5.3esr-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Sat, 30 Dec 2017 10:15:48 +0900

firefox-esr (52.5.2esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2017-28, also known as CVE-2017-7843.

 -- Mike Hommey <glandium@debian.org>  Fri, 08 Dec 2017 20:41:27 +0900

firefox-esr (52.5.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2017-25, also known as:
    CVE-2017-7828, CVE-2017-7830, CVE-2017-7826.

  * debian/import-tar.py: Make python 3.6 happy.

 -- Mike Hommey <glandium@debian.org>  Wed, 15 Nov 2017 07:19:57 +0900
