=== debian/control ===
Source: firefox-esr
Section: web
Priority: optional
Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 9.20160114),
               autoconf2.13,
               libx11-dev,
               libx11-xcb-dev,
               libxt-dev,
               libgtk-3-dev,
               libgtk2.0-dev (>= 2.10),
               libglib2.0-dev (>= 2.16.0),
               libstartup-notification0-dev,
               libjpeg-dev,
               zlib1g-dev,
               libbz2-dev,
               libreadline-dev,
               python2.7,
               python-minimal (>= 2.6.6-13~),
               python-ply,
               dpkg-dev (>= 1.16.1.1~),
               libnspr4-dev (>= 2:4.13.1~),
               libnss3-dev (>= 2:3.28.5~),
               libsqlite3-dev (>= 3.17.0),
               libvpx-dev (>= 1.5.0),
               libhunspell-dev (>= 1.2),
               libdbus-glib-1-dev,
               libasound2-dev [linux-any],
               libiw-dev [linux-any],
               libnotify-dev,
               libffi-dev,
               libevent-dev (>= 1.4.1),
               libjsoncpp-dev,
               mesa-common-dev,
               libpulse-dev,
               yasm (>= 1.1),
               zip,
               unzip,
               locales,
               xvfb,
               xfonts-base,
               xauth,
               ttf-bitstream-vera,
               fonts-freefont-ttf,
               fonts-dejima-mincho,
               iso-codes
Build-Conflicts: graphicsmagick-imagemagick-compat,
                 liboss4-salsa-dev,
                 libhildonmime-dev,
                 libosso-dev
Standards-Version: 3.9.8.0
Vcs-Git: https://anonscm.debian.org/git/pkg-mozilla/iceweasel.git -b esr52/master
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mozilla/iceweasel.git?h=esr52/master

Package: firefox-esr
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         fontconfig,
         procps,
         debianutils (>= 1.16),
         libsqlite3-0 (>= 3.7.12-1~)
Suggests: fonts-stix | otf-stix,
          fonts-lmodern,
          mozplugger,
          libgssapi-krb5-2 | libkrb53,
          libcanberra0
Conflicts: j2re1.4,
           pango-graphite (<< 0.9.3),
           iceweasel (<< 45)
Breaks: xul-ext-torbutton
Provides: www-browser,
          gnome-www-browser
Description: Mozilla Firefox web browser - Extended Support Release (ESR)
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.

Package: iceweasel
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr, ${misc:Depends}
Description: Web browser based on Firefox - Transitional package
 This is a transitional package, it can be safely removed.


Package: firefox-esr-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python-ply,
         libnss3-dev,
         libnspr4-dev,
         firefox-esr (= ${binary:Version})
Conflicts: xulrunner-dev,
           firefox-dev
Breaks: iceweasel-dev (<< 45)
Replaces: iceweasel-dev (<< 45)
Provides: iceweasel-dev
Description: Development files for the Gecko engine library
 This library provides an  API for XUL applications and Gecko embedders.
 The Gecko engine is the core of the mozilla.org applications such as
 Firefox, Thunderbird or SeaMonkey.
 .
 Gecko features include XPCOM, networking, DOM editing and transaction
 support, XBL, XUL, SVG, XSLT, XML Extras (XMLHttpRequest and DOMParser),
 Web Services (SOAP), accessibility support, IPC services, gtkmozembed, etc.
 .
 Install this package if you wish to embed the Gecko engine in your
 program or want to develop XPCOM components.
 .
 This package also provides the Xulrunner Software Development Kit in the
 same form as the one you may find on mozilla.org in /usr/lib/xulrunner/sdk.
Homepage: http://wiki.mozilla.org/XUL:Lib_XUL

Package: iceweasel-dev
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr-dev, ${misc:Depends}
Description: Development files for the Gecko engine library - Transitional package
 This is a transitional package, it can be safely removed.

Package: firefox-esr-l10n-all
Architecture: all
Section: metapackages
Depends: ${misc:Depends}, firefox-esr-l10n-ach, firefox-esr-l10n-af, firefox-esr-l10n-an, firefox-esr-l10n-ar, firefox-esr-l10n-as, firefox-esr-l10n-ast, firefox-esr-l10n-az, firefox-esr-l10n-bg, firefox-esr-l10n-bn-bd, firefox-esr-l10n-bn-in, firefox-esr-l10n-br, firefox-esr-l10n-bs, firefox-esr-l10n-ca, firefox-esr-l10n-cak, firefox-esr-l10n-cs, firefox-esr-l10n-cy, firefox-esr-l10n-da, firefox-esr-l10n-de, firefox-esr-l10n-dsb, firefox-esr-l10n-el, firefox-esr-l10n-en-gb, firefox-esr-l10n-en-za, firefox-esr-l10n-eo, firefox-esr-l10n-es-ar, firefox-esr-l10n-es-cl, firefox-esr-l10n-es-es, firefox-esr-l10n-es-mx, firefox-esr-l10n-et, firefox-esr-l10n-eu, firefox-esr-l10n-fa, firefox-esr-l10n-ff, firefox-esr-l10n-fi, firefox-esr-l10n-fr, firefox-esr-l10n-fy-nl, firefox-esr-l10n-ga-ie, firefox-esr-l10n-gd, firefox-esr-l10n-gl, firefox-esr-l10n-gn, firefox-esr-l10n-gu-in, firefox-esr-l10n-he, firefox-esr-l10n-hi-in, firefox-esr-l10n-hr, firefox-esr-l10n-hsb, firefox-esr-l10n-hu, firefox-esr-l10n-hy-am, firefox-esr-l10n-id, firefox-esr-l10n-is, firefox-esr-l10n-it, firefox-esr-l10n-ja, firefox-esr-l10n-ka, firefox-esr-l10n-kab, firefox-esr-l10n-kk, firefox-esr-l10n-km, firefox-esr-l10n-kn, firefox-esr-l10n-ko, firefox-esr-l10n-lij, firefox-esr-l10n-lt, firefox-esr-l10n-lv, firefox-esr-l10n-mai, firefox-esr-l10n-mk, firefox-esr-l10n-ml, firefox-esr-l10n-mr, firefox-esr-l10n-ms, firefox-esr-l10n-nb-no, firefox-esr-l10n-nl, firefox-esr-l10n-nn-no, firefox-esr-l10n-or, firefox-esr-l10n-pa-in, firefox-esr-l10n-pl, firefox-esr-l10n-pt-br, firefox-esr-l10n-pt-pt, firefox-esr-l10n-rm, firefox-esr-l10n-ro, firefox-esr-l10n-ru, firefox-esr-l10n-si, firefox-esr-l10n-sk, firefox-esr-l10n-sl, firefox-esr-l10n-son, firefox-esr-l10n-sq, firefox-esr-l10n-sr, firefox-esr-l10n-sv-se, firefox-esr-l10n-ta, firefox-esr-l10n-te, firefox-esr-l10n-th, firefox-esr-l10n-tr, firefox-esr-l10n-uk, firefox-esr-l10n-uz, firefox-esr-l10n-vi, firefox-esr-l10n-xh, firefox-esr-l10n-zh-cn, firefox-esr-l10n-zh-tw
Breaks: iceweasel-l10n-all (<< 45)
Replaces: iceweasel-l10n-all (<< 45)
Provides: iceweasel-l10n-all
Description: All language packages for Firefox ESR (meta)
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This is a metapackage depending on all available localizations of Firefox ESR.

Package: iceweasel-l10n-all
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr-l10n-all, ${misc:Depends}
Description: All language packages for Iceweasel - Transitional package
 This is a transitional package, it can be safely removed.

Package: firefox-esr-l10n-ach
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Breaks: iceweasel-l10n-ach (<< 45)
Replaces: iceweasel-l10n-ach (<< 45)
Provides: iceweasel-l10n-ach
Description: Acoli language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Acoli.

Package: iceweasel-l10n-ach
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr-l10n-ach, ${misc:Depends}
Description: Acoli language package for Iceweasel - Transitional package
 This is a transitional package, it can be safely removed.

Package: firefox-esr-l10n-af
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Breaks: iceweasel-l10n-af (<< 45)
Replaces: iceweasel-l10n-af (<< 45)
Provides: iceweasel-l10n-af
Description: Afrikaans language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Afrikaans.

Package: iceweasel-l10n-af
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr-l10n-af, ${misc:Depends}
Description: Afrikaans language package for Iceweasel - Transitional package
 This is a transitional package, it can be safely removed.

Package: firefox-esr-l10n-an
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Breaks: iceweasel-l10n-an (<< 45)
Replaces: iceweasel-l10n-an (<< 45)
Provides: iceweasel-l10n-an
Description: Aragonese language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Aragonese.

Package: iceweasel-l10n-an
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr-l10n-an, ${misc:Depends}
Description: Aragonese language package for Iceweasel - Transitional package
 This is a transitional package, it can be safely removed.

Package: firefox-esr-l10n-ar
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Breaks: iceweasel-l10n-ar (<< 45)
Replaces: iceweasel-l10n-ar (<< 45)
Provides: iceweasel-l10n-ar
Description: Arabic language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Arabic.

Package: iceweasel-l10n-ar
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr-l10n-ar, ${misc:Depends}
Description: Arabic language package for Iceweasel - Transitional package
 This is a transitional package, it can be safely removed.

Package: firefox-esr-l10n-as
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Breaks: iceweasel-l10n-as (<< 45)
Replaces: iceweasel-l10n-as (<< 45)
Provides: iceweasel-l10n-as
Description: Assamese language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Assamese.

Package: iceweasel-l10n-as
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr-l10n-as, ${misc:Depends}
Description: Assamese language package for Iceweasel - Transitional package
 This is a transitional package, it can be safely removed.

Package: firefox-esr-l10n-ast
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Breaks: iceweasel-l10n-ast (<< 45)
Replaces: iceweasel-l10n-ast (<< 45)
Provides: iceweasel-l10n-ast
Description: Asturian language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Asturian.

Package: iceweasel-l10n-ast
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr-l10n-ast, ${misc:Depends}
Description: Asturian language package for Iceweasel - Transitional package
 This is a transitional package, it can be safely removed.

Package: firefox-esr-l10n-az
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Breaks: iceweasel-l10n-az (<< 45)
Replaces: iceweasel-l10n-az (<< 45)
Provides: iceweasel-l10n-az
Description: Azerbaijani language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
