=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 CC := /usr/lib/gcc-mozilla/bin/gcc
 CXX := /usr/lib/gcc-mozilla/bin/g++
 endif
-ifeq (,$(filter-out $(DIST),buster experimental))
+ifeq (,$(filter-out buster experimental,$(DIST)))
 CC := gcc-6
 CXX := g++-6
 endif
@@ -96,12 +96,18 @@
 # Reduce memory usage of the linker at the expense of processing time
 # This should help on lower-end architectures like arm and mips, which
 # spend an immense amount of time swapping.
-LDFLAGS += -Wl,--reduce-memory-overheads
-LDFLAGS += -Wl,--no-keep-memory
+ifeq (,$(filter alpha,$(DEB_BUILD_ARCH)))
+	LDFLAGS += -Wl,--reduce-memory-overheads
+	LDFLAGS += -Wl,--no-keep-memory
+endif
 # Also add execution time and memory usage stats in the logs
 LDFLAGS += -Wl,--stats
 
 AUTOCONF_DIRS := build/autoconf
+
+ifneq (,$(filter alpha,$(DEB_BUILD_ARCH)))
+	CONFIGURE_FLAGS += --enable-optimize=-O1
+endif
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 	CONFIGURE_FLAGS += --disable-optimize
@@ -218,8 +224,3 @@
 			sub(/\/[^\/]*$$/, "", dir); \
 			cmd = "$(MAKE) -C " dir " --no-print-directory echo-variable-" var[1]; \
 			cmd | getline value; \
-			if (value != var[2]) { print $$1, "triggered", var[1] "=" value,"instead of",$$2; error=1 } \
-		} \
-	} \
-	END { if (error) { exit 1 }}' debian/$($(PRODUCT)).mozconfig
-
