## firefox-esr 52.7.0esr

=== debian/changelog ===
firefox-esr (52.7.0esr-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-07, also known as
    CVE-2018-5127, CVE-2018-5129, CVE-2018-5130, CVE-2018-5131,
    CVE-2018-5144, CVE-2018-5125, CVE-2018-5145.

  * intl/icu/source/i18n/digitlst.cpp: Apply part of
    http://bugs.icu-project.org/trac/changeset/40603 to fix FTBFS with glibc
    2.26 on big endian platforms.

 -- Mike Hommey <glandium@debian.org>  Wed, 14 Mar 2018 07:11:34 +0900

firefox-esr (52.6.0esr-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-03, also known as
    CVE-2018-5091, CVE-2018-5095, CVE-2018-5096, CVE-2018-5097,
    CVE-2018-5098, CVE-2018-5099, CVE-2018-5102, CVE-2018-5103,
    CVE-2018-5104, CVE-2018-5117, CVE-2018-5089.

 -- Mike Hommey <glandium@debian.org>  Wed, 24 Jan 2018 06:51:46 +0900
