## firefox-esr 52.7.1esr

=== debian/changelog ===
firefox-esr (52.7.1esr-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-07, also known as
    CVE-2018-5127, CVE-2018-5129, CVE-2018-5130, CVE-2018-5131,
    CVE-2018-5144, CVE-2018-5125, CVE-2018-5145.

  * intl/icu/source/i18n/digitlst.cpp: Apply part of
    http://bugs.icu-project.org/trac/changeset/40603 to fix FTBFS with glibc
    2.26 on big endian platforms.

 -- Mike Hommey <glandium@debian.org>  Thu, 15 Mar 2018 08:29:27 +0900
