=== debian/control ===
--- 
+++ 
@@ -21,9 +21,6 @@
                python-minimal (>= 2.6.6-13~),
                python-ply,
                dpkg-dev (>= 1.16.1.1~),
-               libnspr4-dev (>= 2:4.13.1~),
-               libnss3-dev (>= 2:3.28.5~),
-               libsqlite3-dev (>= 3.17.0),
                libvpx-dev (>= 1.5.0),
                libhunspell-dev (>= 1.2),
                libdbus-glib-1-dev,
@@ -92,8 +89,6 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          python-ply,
-         libnss3-dev,
-         libnspr4-dev,
          firefox-esr (= ${binary:Version})
 Conflicts: xulrunner-dev,
            firefox-dev
@@ -287,3 +282,11 @@
 Provides: iceweasel-l10n-az
 Description: Azerbaijani language package for Firefox ESR
  Firefox ESR is a powerful, extensible web browser with support for modern
+ web application technologies.
+ .
+ This package contains the localization of Firefox ESR in Azerbaijani.
+
+Package: iceweasel-l10n-az
+Architecture: all
+Priority: extra
+Section: oldlibs
